import request from '../utils/request'
import getAPI from '../config/apis'

export default {
    namespaced: true,
    state: {
      saveinformation: {},
    },
    mutations: {
      updateOrder(state, saveinformation) {
        state.saveinformation = saveinformation
      }
    },
    actions: {
      postOrder({ commit }, params) {
        return new Promise((resolve, reject) => {
          request({ ...getAPI('order.save', { data: params }) }).then((data) => {
            commit('updateOrder', data)
            resolve()            
          }).catch(reject)
        });
      },
    }
  }